x-app-override:
  &app-override
  volumes:
    - ${FRONTEND_BASE:-.}:${APP_DIR}/

x-e2e-override:
  &e2e-override
  volumes:
    - ${FRONTEND_BASE:-.}:${APP_DIR}/

x-backend-override:
  &backend-override
  volumes:
    - ${BACKEND_BASE:-.}:${APP_DIR}/

services:
  frontend:
    <<: *app-override
    ports:
      - ${HOST_APP_PORT}:${APP_PORT}

  frontend-production:
    ports:
      - 8081:${WEB_PORT}
    volumes:
      - ${FRONTEND_BASE:-.}/production/nginx.conf:${WEB_CONF_DIR}/nginx.conf

  e2e:
    <<: *e2e-override

  e2e-x86:
    <<: *e2e-override

  e2e-frontend:
    <<: *app-override
    environment:
      - VUE_APP_BACKEND_HOST=backend
      - DEV_SERVER_PUBLIC=e2e-frontend:8080

  backend:
    <<: *backend-override
    environment:
      - ALLOWED_HOSTS=localhost,backend
      - CORS_ALLOWED_ORIGINS=http://localhost:8080,http://e2e-frontend:8080
    ports:
      - 8000:${BACKEND_PORT}

  backend-production:
    <<: *backend-override
    ports:
      - 8001:${BACKEND_PORT}
    environment:
      - ALLOWED_HOSTS=localhost
      - CORS_ALLOWED_ORIGINS=http://localhost:8081

